org.eclipse.wst.jsdt.core

## Interface ICorrectionRequestor

    public interface ICorrectionRequestor

A callback interface for receiving javaScript problem correction. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `acceptClass(char[] packageName, char[] className, char[] correctionName, int modifiers, int correctionStart, int correctionEnd)`
`void` `acceptField(char[] declaringTypePackageName, char[] declaringTypeName, char[] name, char[] typePackageName, char[] typeName, char[] correctionName, int modifiers, int correctionStart, int correctionEnd)` Notification of a field/var correction.
`void` `acceptLocalVariable(char[] name, char[] typePackageName, char[] typeName, int modifiers, int correctionStart, int correctionEnd)` Notification of a local variable correction.
`void` `acceptMethod(char[] declaringTypePackageName, char[] declaringTypeName, char[] selector, char[][] parameterPackageNames, char[][] parameterTypeNames, char[][] parameterNames, char[] returnTypePackageName, char[] returnTypeName, char[] correctionName, int modifiers, int correctionStart, int correctionEnd)` Notification of a method correction.
`void` `acceptPackage(char[] packageName, char[] correctionName, int correctionStart, int correctionEnd)` Notification of a package correction.

### Method Detail

#### acceptClass

    void acceptClass(char[] packageName,
                     char[] className,
                     char[] correctionName,
                     int modifiers,
                     int correctionStart,
                     int correctionEnd)

#### acceptField

    void acceptField(char[] declaringTypePackageName,
                     char[] declaringTypeName,
                     char[] name,
                     char[] typePackageName,
                     char[] typeName,
                     char[] correctionName,
                     int modifiers,
                     int correctionStart,
                     int correctionEnd)

Notification of a field/var correction.

Parameters:
  `declaringTypePackageName` - Name of the package in which the type that contains this field is declared.
  `declaringTypeName` - Name of the type declaring this field.
  `name` - Name of the field.
  `typePackageName` - Name of the package in which the type of this field is declared.
  `typeName` - Name of the type of this field.
  `correctionName` - The correction for the field.
  `modifiers` - The modifiers of this field.
  `correctionStart` - The start position of insertion of the correction of this field.
  `correctionEnd` - The end position of insertion of the correction of this field.

#### acceptLocalVariable

    void acceptLocalVariable(char[] name,
                             char[] typePackageName,
                             char[] typeName,
                             int modifiers,
                             int correctionStart,
                             int correctionEnd)

Notification of a local variable correction.

Parameters:
  `name` - Name of the local variable.
  `typePackageName` - Name of the package in which the type of this local variable is declared.
  `typeName` - Name of the type of this local variable.
  `modifiers` - The modifiers of this local variable.
  `correctionStart` - The start position of insertion of the correction of this local variable.
  `correctionEnd` - The end position of insertion of the correction of this local variable.

#### acceptMethod

    void acceptMethod(char[] declaringTypePackageName,
                      char[] declaringTypeName,
                      char[] selector,
                      char[][] parameterPackageNames,
                      char[][] parameterTypeNames,
                      char[][] parameterNames,
                      char[] returnTypePackageName,
                      char[] returnTypeName,
                      char[] correctionName,
                      int modifiers,
                      int correctionStart,
                      int correctionEnd)

Notification of a method correction.

Parameters:
  `declaringTypePackageName` - Name of the package in which the type that contains this method is declared.
  `declaringTypeName` - Name of the type declaring this method.
  `selector` - Name of the method.
  `parameterPackageNames` - Names of the packages in which the parameter types are declared. Should contain as many elements as parameterTypeNames.
  `parameterTypeNames` - Names of the parameter types. Should contain as many elements as parameterPackageNames.
  `parameterNames` - Names of the parameters. Should contain as many elements as parameterPackageNames.
  `returnTypePackageName` - Name of the package in which the return type is declared.
  `returnTypeName` - Name of the return type of this method, should be `null` for a constructor.
  `correctionName` - The correction for the method. Can include zero, one or two brackets. If the closing bracket is included, then the cursor should be placed before it.
  `modifiers` - The modifiers of this method.
  `correctionStart` - The start position of insertion of the correction of this method.
  `correctionEnd` - The end position of insertion of the correction of this method. NOTE: parameter names can be retrieved from the source model after the user selects a specific method.

#### acceptPackage

    void acceptPackage(char[] packageName,
                       char[] correctionName,
                       int correctionStart,
                       int correctionEnd)

Notification of a package correction.

Parameters:
  `packageName` - The package name.
  `correctionName` - The correction for the package. Can include '.*;' for imports.
  `correctionStart` - The start position of insertion of the correction of this package.
  `correctionEnd` - The end position of insertion of the correction of this package. This Method only applies to ECMAScript 4 which is not yet supported